package com.os.mes.prod.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 生产工单执行用户对象 prod_plan_execute_user
 *
 * @author Yinq
 * @date 2024-09-26
 */
public class ProdPlanExecuteUser extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 订单编号
     */
    @Excel(name = "订单编号")
    private String orderCode;

    /**
     * 工单编号
     */
    @Excel(name = "工单编号")
    private String planCode;

    /**
     * 工序编号
     */
    @Excel(name = "工序编号")
    private String processCode;

    /**
     * 工位编号
     */
    @Excel(name = "工位编号")
    private String stationCode;

    /**
     * 工位名称
     */
    private String stationName;

    /**
     * 员工ID
     */
    @Excel(name = "员工ID")
    private String staffId;

    /**
     * 员工名称
     */
    @Excel(name = "员工名称")
    private String staffName;

    /**
     * 生产米数
     */
    @Excel(name = "生产米数")
    private BigDecimal completeAmount;

    /**
     * 工单明细开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "工单明细开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date planBeginDate;

    /**
     * 工单明细结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "工单明细结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date planEndDate;

    /**
     * 生成工资标识（0未生成 1已生成）
     */
    @Excel(name = "生成工资标识（0未生成 1已生成）")
    private String isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    /**
     * 工资系数
     */
    @Excel(name = "工资系数")
    private BigDecimal wageCoefficient;

    /**
     * 客户要求输送带长度（m）
     */
    @Excel(name = "客户要求输送带长度（m）")
    private BigDecimal BeltRequiredLength;

    /**
     * 成型面积
     */
    @Excel(name = "成型面积")
    @JsonProperty(value = "FormingArea")
    private BigDecimal FormingArea;

    /**
     * 硫化面积
     */
    @Excel(name = "硫化面积")
    @JsonProperty(value = "SulfurizationArea")
    private BigDecimal SulfurizationArea;

    /**
     * 压延包胶面积
     */
    @Excel(name = "压延包胶面积")
    @JsonProperty(value = "RollCoatingArea")
    private BigDecimal RollCoatingArea;

    /**
     * 压延出布面积
     */
    @Excel(name = "压延出布面积")
    @JsonProperty(value = "RolledFabricArea")
    private BigDecimal RolledFabricArea;

    /** 身份证 */
    @Excel(name = "身份证")
    private String idCard;

    /**
     * 班组编号
     */
    @Excel(name = "班组编号")
    private String teamCode;

    /**
     * 班组名称
     */
    @Excel(name = "班组名称")
    private String teamName;

    /**
     * 生产次数（锅数）
     */
    @Excel(name = "生产次数（锅数）")
    private String batchNumber;

    /**
     * 输送带长度规格
     */
    @Excel(name = "输送带长度规格")
    private String BeltLengthSpecifications;

    /**
     * 下班时间
     */
    private String offWorkTime;

    public String getOffWorkTime() {
        return offWorkTime;
    }

    public void setOffWorkTime(String offWorkTime) {
        this.offWorkTime = offWorkTime;
    }

    public BigDecimal getRollCoatingArea() {
        return RollCoatingArea;
    }

    public void setRollCoatingArea(BigDecimal rollCoatingArea) {
        RollCoatingArea = rollCoatingArea;
    }

    public BigDecimal getRolledFabricArea() {
        return RolledFabricArea;
    }

    public void setRolledFabricArea(BigDecimal rolledFabricArea) {
        RolledFabricArea = rolledFabricArea;
    }

    public String getBeltLengthSpecifications() {
        return BeltLengthSpecifications;
    }

    public void setBeltLengthSpecifications(String beltLengthSpecifications) {
        BeltLengthSpecifications = beltLengthSpecifications;
    }

    public String getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getTeamCode() {
        return teamCode;
    }

    public void setTeamCode(String teamCode) {
        this.teamCode = teamCode;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public BigDecimal getBeltRequiredLength() {
        return BeltRequiredLength;
    }

    public void setBeltRequiredLength(BigDecimal beltRequiredLength) {
        BeltRequiredLength = beltRequiredLength;
    }

    public BigDecimal getFormingArea() {
        return FormingArea;
    }

    public void setFormingArea(BigDecimal formingArea) {
        FormingArea = formingArea;
    }

    public BigDecimal getSulfurizationArea() {
        return SulfurizationArea;
    }

    public void setSulfurizationArea(BigDecimal sulfurizationArea) {
        SulfurizationArea = sulfurizationArea;
    }

    public BigDecimal getWageCoefficient() {
        return wageCoefficient;
    }

    public void setWageCoefficient(BigDecimal wageCoefficient) {
        this.wageCoefficient = wageCoefficient;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setPlanCode(String planCode) {
        this.planCode = planCode;
    }

    public String getPlanCode() {
        return planCode;
    }

    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    public String getProcessCode() {
        return processCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setCompleteAmount(BigDecimal completeAmount) {
        this.completeAmount = completeAmount;
    }

    public BigDecimal getCompleteAmount() {
        return completeAmount;
    }

    public void setPlanBeginDate(Date planBeginDate) {
        this.planBeginDate = planBeginDate;
    }

    public Date getPlanBeginDate() {
        return planBeginDate;
    }

    public void setPlanEndDate(Date planEndDate) {
        this.planEndDate = planEndDate;
    }

    public Date getPlanEndDate() {
        return planEndDate;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("orderCode", getOrderCode())
                .append("planCode", getPlanCode())
                .append("processCode", getProcessCode())
                .append("stationCode", getStationCode())
                .append("staffId", getStaffId())
                .append("completeAmount", getCompleteAmount())
                .append("planBeginDate", getPlanBeginDate())
                .append("planEndDate", getPlanEndDate())
                .append("isFlag", getIsFlag())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
