package com.os.mes.prod.mapper;

import java.util.List;

import com.os.mes.prod.domain.ProdPlanErpInfo;

/**
 * 生产计划信息Mapper接口
 *
 * @author Yinq
 * @date 2024-08-22
 */
public interface ProdPlanErpInfoMapper {
    /**
     * 查询生产计划信息
     *
     * @param objId 生产计划信息主键
     * @return 生产计划信息
     */
    public ProdPlanErpInfo selectProdPlanErpInfoByObjId(Long objId);

    /**
     * 查询生产计划信息列表
     *
     * @param prodPlanErpInfo 生产计划信息
     * @return 生产计划信息集合
     */
    public List<ProdPlanErpInfo> selectProdPlanErpInfoList(ProdPlanErpInfo prodPlanErpInfo);

    /**
     * 新增生产计划信息
     *
     * @param prodPlanErpInfo 生产计划信息
     * @return 结果
     */
    public int insertProdPlanErpInfo(ProdPlanErpInfo prodPlanErpInfo);

    /**
     * 修改生产计划信息
     *
     * @param prodPlanErpInfo 生产计划信息
     * @return 结果
     */
    public int updateProdPlanErpInfo(ProdPlanErpInfo prodPlanErpInfo);

    /**
     * 删除生产计划信息
     *
     * @param objId 生产计划信息主键
     * @return 结果
     */
    public int deleteProdPlanErpInfoByObjId(Long objId);

    /**
     * 批量删除生产计划信息
     *
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProdPlanErpInfoByObjIds(Long[] objIds);
}
