package com.os.mes.prod.mapper;

import java.util.List;

import com.os.mes.prod.domain.ProdPlanExecuteUser;

/**
 * 生产工单执行用户Mapper接口
 *
 * @author Yinq
 * @date 2024-09-26
 */
public interface ProdPlanExecuteUserMapper {
    /**
     * 查询生产工单执行用户
     *
     * @param objId 生产工单执行用户主键
     * @return 生产工单执行用户
     */
    public ProdPlanExecuteUser selectProdPlanExecuteUserByObjId(Long objId);

    /**
     * 查询生产工单执行用户列表
     *
     * @param prodPlanExecuteUser 生产工单执行用户
     * @return 生产工单执行用户集合
     */
    public List<ProdPlanExecuteUser> selectProdPlanExecuteUserList(ProdPlanExecuteUser prodPlanExecuteUser);

    /**
     * 新增生产工单执行用户
     *
     * @param prodPlanExecuteUser 生产工单执行用户
     * @return 结果
     */
    public int insertProdPlanExecuteUser(ProdPlanExecuteUser prodPlanExecuteUser);

    /**
     * 修改生产工单执行用户
     *
     * @param prodPlanExecuteUser 生产工单执行用户
     * @return 结果
     */
    public int updateProdPlanExecuteUser(ProdPlanExecuteUser prodPlanExecuteUser);

    /**
     * 删除生产工单执行用户
     *
     * @param objId 生产工单执行用户主键
     * @return 结果
     */
    public int deleteProdPlanExecuteUserByObjId(Long objId);

    /**
     * 批量删除生产工单执行用户
     *
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProdPlanExecuteUserByObjIds(Long[] objIds);

    /**
     * 查询生产工单聚合执行用户列表
     *
     * @param prodPlanExecuteUser 生产工单执行用户
     * @return 生产工单聚合执行用户集合
     */
    List<ProdPlanExecuteUser> selectAggProdPlanExecuteUserList(ProdPlanExecuteUser prodPlanExecuteUser);
}
