package com.os.mes.prod.service;

import java.util.List;
import com.os.mes.prod.domain.ProdPlanErpInfo;

/**
 * 生产计划信息Service接口
 * 
 * @author Yinq
 * @date 2024-08-22
 */
public interface IProdPlanErpInfoService 
{
    /**
     * 查询生产计划信息
     * 
     * @param objId 生产计划信息主键
     * @return 生产计划信息
     */
    public ProdPlanErpInfo selectProdPlanErpInfoByObjId(Long objId);

    /**
     * 查询生产计划信息列表
     * 
     * @param prodPlanErpInfo 生产计划信息
     * @return 生产计划信息集合
     */
    public List<ProdPlanErpInfo> selectProdPlanErpInfoList(ProdPlanErpInfo prodPlanErpInfo);

    /**
     * 新增生产计划信息
     * 
     * @param prodPlanErpInfo 生产计划信息
     * @return 结果
     */
    public int insertProdPlanErpInfo(ProdPlanErpInfo prodPlanErpInfo);

    /**
     * 修改生产计划信息
     * 
     * @param prodPlanErpInfo 生产计划信息
     * @return 结果
     */
    public int updateProdPlanErpInfo(ProdPlanErpInfo prodPlanErpInfo);

    /**
     * 批量删除生产计划信息
     * 
     * @param objIds 需要删除的生产计划信息主键集合
     * @return 结果
     */
    public int deleteProdPlanErpInfoByObjIds(Long[] objIds);

    /**
     * 删除生产计划信息信息
     * 
     * @param objId 生产计划信息主键
     * @return 结果
     */
    public int deleteProdPlanErpInfoByObjId(Long objId);

    /**
     * 新增生产计划信息List
     *
     * @param dataList 生产计划信息
     * @return 结果
     */
    void insertOrUpdateProdPlanErpInfoList(List<ProdPlanErpInfo> dataList);

}
