package com.os.mes.prod.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.os.mes.prod.mapper.ProdPlanExecuteUserMapper;
import com.os.mes.prod.domain.ProdPlanExecuteUser;
import com.os.mes.prod.service.IProdPlanExecuteUserService;

/**
 * 生产工单执行用户Service业务层处理
 *
 * @author Yinq
 * @date 2024-09-26
 */
@Service
public class ProdPlanExecuteUserServiceImpl implements IProdPlanExecuteUserService {
    @Autowired
    private ProdPlanExecuteUserMapper prodPlanExecuteUserMapper;

    /**
     * 查询生产工单执行用户
     *
     * @param objId 生产工单执行用户主键
     * @return 生产工单执行用户
     */
    @Override
    public ProdPlanExecuteUser selectProdPlanExecuteUserByObjId(Long objId) {
        return prodPlanExecuteUserMapper.selectProdPlanExecuteUserByObjId(objId);
    }

    /**
     * 查询生产工单执行用户列表
     *
     * @param prodPlanExecuteUser 生产工单执行用户
     * @return 生产工单执行用户
     */
    @Override
    public List<ProdPlanExecuteUser> selectProdPlanExecuteUserList(ProdPlanExecuteUser prodPlanExecuteUser) {
        return prodPlanExecuteUserMapper.selectAggProdPlanExecuteUserList(prodPlanExecuteUser);
    }

    /**
     * 新增生产工单执行用户
     *
     * @param prodPlanExecuteUser 生产工单执行用户
     * @return 结果
     */
    @Override
    public int insertProdPlanExecuteUser(ProdPlanExecuteUser prodPlanExecuteUser) {
        return prodPlanExecuteUserMapper.insertProdPlanExecuteUser(prodPlanExecuteUser);
    }

    /**
     * 修改生产工单执行用户
     *
     * @param prodPlanExecuteUser 生产工单执行用户
     * @return 结果
     */
    @Override
    public int updateProdPlanExecuteUser(ProdPlanExecuteUser prodPlanExecuteUser) {
        return prodPlanExecuteUserMapper.updateProdPlanExecuteUser(prodPlanExecuteUser);
    }

    /**
     * 批量删除生产工单执行用户
     *
     * @param objIds 需要删除的生产工单执行用户主键
     * @return 结果
     */
    @Override
    public int deleteProdPlanExecuteUserByObjIds(Long[] objIds) {
        return prodPlanExecuteUserMapper.deleteProdPlanExecuteUserByObjIds(objIds);
    }

    /**
     * 删除生产工单执行用户信息
     *
     * @param objId 生产工单执行用户主键
     * @return 结果
     */
    @Override
    public int deleteProdPlanExecuteUserByObjId(Long objId) {
        return prodPlanExecuteUserMapper.deleteProdPlanExecuteUserByObjId(objId);
    }
}
