package com.os.mes.record.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 员工工资汇总报表对象
 * 
 * @author Yinq
 * @date 2024-07-02
 */
public class ReportSalarySummary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**
     * 员工编号
     */
    @Excel(name = "员工编号")
    private String staffId;

    /**
     * 员工名称
     */
    @Excel(name = "员工名称")
    private String staffName;

    /** 身份证 */
    @Excel(name = "身份证")
    private String idCard;

    /** 班组编号 */
    @Excel(name = "班组编号")
    private String groupId;

    /**
     * 班组名称
     */
    @Excel(name = "班组名称")
    private String teamName;

    /** 收入金额 */
    @Excel(name = "收入金额")
    private BigDecimal revenueAmount;

    /** 事件日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "事件日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date eventDate;

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public Date getEventDate() {
        return eventDate;
    }

    public void setEventDate(Date eventDate) {
        this.eventDate = eventDate;
    }

    public BigDecimal getRevenueAmount() {
        return revenueAmount;
    }

    public void setRevenueAmount(BigDecimal revenueAmount) {
        this.revenueAmount = revenueAmount;
    }

    @Override
    public String toString() {
        return "ReportSalarySummary{" +
                ", staffName='" + staffName + '\'' +
                ", idCard='" + idCard + '\'' +
                ", eventDate=" + eventDate +
                ", revenueAmount=" + revenueAmount +
                '}';
    }
}
