package com.os.mes.record.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 员工工资记录对象 record_staff_salary
 * 
 * @author Yinq
 * @date 2024-07-02
 */
public class StaffSalaryVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**
     * 工序编号
     */
    private String processCode;

    /**
     * 员工ID
     */
    private String staffId;

    /**
     * 员工名称
     */
    private String staffName;

    /** 工资系数 */
    private BigDecimal salaryCoefficient;

    /** 该工序所有员工工资系数 */
    private BigDecimal sumSalaryCoefficient;

    public String getProcessCode() {
        return processCode;
    }

    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public BigDecimal getSalaryCoefficient() {
        return salaryCoefficient;
    }

    public void setSalaryCoefficient(BigDecimal salaryCoefficient) {
        this.salaryCoefficient = salaryCoefficient;
    }

    public BigDecimal getSumSalaryCoefficient() {
        return sumSalaryCoefficient;
    }

    public void setSumSalaryCoefficient(BigDecimal sumSalaryCoefficient) {
        this.sumSalaryCoefficient = sumSalaryCoefficient;
    }

    @Override
    public String toString() {
        return "StaffSalaryVo{" +
                "processCode='" + processCode + '\'' +
                ", staffId='" + staffId + '\'' +
                ", staffName='" + staffName + '\'' +
                ", salaryCoefficient=" + salaryCoefficient +
                ", sumSalaryCoefficient=" + sumSalaryCoefficient +
                '}';
    }

}
