package com.os.mes.report.service.impl;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;

import com.os.common.utils.DateUtils;
import com.os.mes.prod.domain.ProdOrderInfo;
import com.os.mes.prod.service.IProdOrderInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.os.mes.report.domain.ReportBoardPort;
import com.os.mes.report.service.IReportBoardPortService;

/**
 * 看板接口Service业务层处理
 * 
 * @author Yinq
 * @date 2024-07-11
 */
@Service
public class ReportBoardPortServiceImpl implements IReportBoardPortService 
{

    @Autowired
    private IProdOrderInfoService prodOrderInfoService;

    @Override
    public List<ReportBoardPort> selectReportBoardPortList(ReportBoardPort reportBoardPort) {
        return null;
    }

    /**
     * 首页看板接口
     * @param paramMap
     * @return
     */
    @Override
    public HashMap<String, Object> selectReportHomeBoard(HashMap<String, String> paramMap) {
        //计划订单数量 在制订单数量 今日计划米数 今日完成米数
        HashMap<String, Object> result = new HashMap<>();
        ProdOrderInfo orderInfo = new ProdOrderInfo();
        HashMap<String, Object> map = new HashMap<>();
        String date = DateUtils.getDate() + " 00:00:00";
        map.put("beginBeginDate", date);
        map.put("endBeginDate", date);
        orderInfo.setParams(map);
        List<ProdOrderInfo> infoList = prodOrderInfoService.selectProdOrderInfoList(orderInfo);
        Long planOrder = 0L;
        Long makeOrder = 0L;
        BigDecimal todayNumber = new BigDecimal(0);
        BigDecimal finishNumber = new BigDecimal(0);
        for (ProdOrderInfo prodOrderInfo : infoList) {
            planOrder++;
            todayNumber = todayNumber.add(prodOrderInfo.getOrderAmount());
            if (prodOrderInfo.getOrderAmount().compareTo(prodOrderInfo.getCompleteAmount()) < 1){
                makeOrder++;
                finishNumber = finishNumber.add(prodOrderInfo.getOrderAmount());
            }
        }
        result.put("planOrder", planOrder);
        result.put("makeOrder", makeOrder);
        result.put("todayNumber", todayNumber);
        result.put("finishNumber", finishNumber);


        return result;
    }

}
